UnifAPI Docs
Tiktok

List videos tagged with a TikTok hashtag

GET
/tiktok/hashtags/{id}/videos

Authorization

bearerAuth
AuthorizationBearer <token>

UnifAPI API key (forwarded verbatim as the upstream provider token).

In: header

Path Parameters

id*string
Match^\d+$

Query Parameters

cursor?string
limit?integer
Default20
Range1 <= value <= 50

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/tiktok/hashtags/string/videos"
{
  "items": [
    {
      "id": "string",
      "title": "string",
      "video_description": "string",
      "create_time": 0,
      "duration": 0,
      "cover_image_url": "string",
      "share_url": "string",
      "embed_link": "string",
      "width": 0,
      "height": 0,
      "like_count": 0,
      "comment_count": 0,
      "share_count": 0,
      "view_count": 0,
      "author": {
        "id": "string",
        "username": "string",
        "display_name": "string",
        "avatar_url": "string"
      },
      "region": "string",
      "hashtags": [
        "string"
      ],
      "music": {
        "id": "string",
        "title": "string",
        "author": "string",
        "is_original": true
      },
      "is_image_post": true,
      "play_url": "string"
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}